%global _empty_manifest_terminate_build 0
Name:           python-colorama
Version:        0.4.4
Release:        1
Summary:        Cross-platform colored terminal text.
License:        BSD
URL:            https://github.com/tartley/colorama
Source0:        https://files.pythonhosted.org/packages/1f/bb/5d3246097ab77fa083a61bd8d3d527b7ae063c7d8e8671b1cf8c4ec10cbe/colorama-0.4.4.tar.gz
BuildArch:      noarch
%description
Makes ANSI escape character sequences (for producing colored terminal
text and cursor positioning) work under MS Windows.

%package -n python3-colorama
Summary:        Cross-platform colored terminal text.
Provides:       python-colorama
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-colorama
Makes ANSI escape character sequences (for producing colored terminal
text and cursor positioning) work under MS Windows.

%package help
Summary:        Cross-platform colored terminal text.
Provides:       python3-colorama-doc
%description help
Makes ANSI escape character sequences (for producing colored terminal
text and cursor positioning) work under MS Windows.

%prep
%autosetup -n colorama-0.4.4

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-colorama -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 0.4.4-1
- Upgrade to version 0.4.4

* Wed Sep 30 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
